Name

CYBER_SECRET — (partly documented)

SYNOPSIS

{ }

DESCRIPTION

The script defines the password used for authorization to the payment gateway.

VARIABLE TYPE

Catalog variable

EXAMPLES

No examples are available at this time. We do consider this a problem and will try to supply some.

NOTES

AVAILABILITY

CYBER_SECRET is available in Interchange versions:

4.6.0-5.7.0 (git-head)

SOURCE

Interchange 5.7.0:

Source: lib/Vend/Payment/ECHO.pm
Line 311 (context shows lines 301-315 in echo():274)

      $::Variable->{CYBER_ID}
      or push @errMsgs, "No payment ID found.";
}

# Required for validation
if (! $secret) {
$secret    = $opt->{secret} ||
           charge_param('secret') ||
       $::Variable->{ECHO_PAYMENT_SECRET} ||
       $::Variable->{MV_PAYMENT_SECRET} ||
           $::Variable->{CYBER_SECRET}
           or push @errMsgs, "No payment secret found.";
}

if (scalar @errMsgs) {

AUTHORS

Interchange Development Group

SEE ALSO

DocBook! Interchange!